<?php
declare(strict_types = 1);

namespace Fgm\Drupal\Composer;

use Composer\Command\BaseCommand;

abstract class BaseBuilderCommand extends BaseCommand
{

    protected function getBuilderConfig(): array
    {
        $conf = $this->getComposer()->getPackage()->getExtra()[Builder::NAME] ?? [];
        return $conf;
    }

    protected function getSettingsPath(): string
    {
        $settingsPath = getcwd() . "/settings";
        return $settingsPath;
    }
}
